logoEen project van Gert Uphoff.

Over Gantry 4 en 5

Gantry logoDe templates die in gebruik zijn via Korenonline worden aangeschaft bij Rockettheme. Ze zijn gebaseerd op een door hen ontwikkeld frame, Gantry genaamd, dat de mogelijkheid biedt om informatie op diverse plekken tevoorschijn te laten komen op uw website.

Tot nu toe maak ik gebruik van versie 4. Deze biedt meer dan voldoende mogelijkheden en daar waar extra flexibiliteit noodzakelijk was wordt dit door mij gerealiseerd door gebruik te maken van CSS-achtige oplossingen. Verder is het hele gedoe met Gantry en de daarop gebaseerde templates iets wat onder het beheer valt van de technisch beheerder en niet onder de webmaster van een koor.

Een paar jaar geleden werd versie 5 uitgebracht. Deze versie kent een ongekende flexibiliteit maar is in eerste instantie bij het opzetten van een website voor een koor niet per se noodzakelijk. Bovendien zou de overgang naar een template gebaseerd op versie 5 kosten met zich mee brengen. Mede gezien het feit dat Gantry 4 gewoon beschikbaar bleef heb ik een dergelijke tijdrovende en kosten veroorzaakte conversie nooit doorgevoerd.

Nu Joomla! versie 4.0 is aangekondigd verandert het e.e.a. Gantry 4 is waarschijnlijk niet geschikt voor Joomla! 4.
In de afgelopen maanden heb ik mede gezien de noodgedwongen "Coronamaatregels" mij kunnen verdiepen in de noodzakelijke werkzaamheden om een op Gantry 4 gebaseerde template om te zetten naar Gantry 5.
Nu deze studie is afgerond kan ik een nauwkeurigere inschatting maken wat noodzakelijk is om naar een geschikte template over te gaan. Daarbij is het natuurlijk van belang of er van een template überhaupt wel een geschikte versie beschikbaar is. Ik volg dit op de voet en in dit overzicht zal de status per template worden bijgehouden.

Hoe dan ook, voor Joomla! versie 4.0 is een conversie naar een geschikte template voor 100% noodzakelijk.
U kunt die overgang voor enkele jaren ontlopen door niet over te gaan naar Joomla! 4.0 omdat de Joomla organisatie toegezegd heeft om Joomla! 3.10 (nog niet uitgebracht) nog minimaal 2 jaar na het verschijnen wordt gemainteneerd.

N.B.: Rockettheme is van plan om op een bepaald moment alle Gantry 5-templates geschikt gemaakt te hebben voor Joomla! 4 (dit zal niet zijn op de dag dat deze wordt uitgebracht). Het is onwaarschijnlijk dat Gantry 4-templates met Joomla! 4 werken.

Inlogformulier